Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF » Springsource objectweb tree and attribute bundle versions
Springsource objectweb tree and attribute bundle versions [message #425795] Mon, 08 December 2008 19:16 Go to next message
J F is currently offline J FFriend
Messages: 256
Registered: July 2009
Senior Member
Hi,

Following http://wiki.eclipse.org/CDO_Source_Installation I encountered a
problem with the setup-workspace.xml. Basically the script cannot find
com.springsource.org.objectweb.asm.tree.attrs;

[get] Error opening connection java.io.FileNotFoundException:
http://www.springsource.com/repository/app/bundle/version/do wnload?name=com.springsource.org.objectweb.asm.tree.attrs&am p;version=1.5.3&type=binary

Looking at http://www.springsource.com/repository/app/bundle?query=O I see
there is no longer a com.springsource.org.objectweb.asm.tree.attrs, but
ASM Attributes ( 1.5.3 ) and ASM Tree ( 2.2.0 );

ObjectWeb ASM [1.5.3, 3.1.0]
ObjectWeb ASM Attributes [1.5.3, 2.2.0]
ObjectWeb ASM Commons [2.2.3, 3.1.0]
ObjectWeb ASM Tree [2.2.0, 3.1.0]
ObjectWeb ASM Tree Analysis 2.2.0
ObjectWeb ASM Utilities 2.2.0

should I use these ( Attributes 1.5.3 and Tree 2.2.0 ) instead? ( I would
just try it out, but for some reason my internet connection is very slow
at the momment ).
Re: Springsource objectweb tree and attribute bundle versions [message #425797 is a reply to message #425795] Mon, 08 December 2008 19:22 Go to previous messageGo to next message
J F is currently offline J FFriend
Messages: 256
Registered: July 2009
Senior Member
BTW, the ObjectWeb ASM Tree bundle has as its lowest rev 2.2.0 depending
on ObjectWeb ASM 2.0 as does ObjectWeb ASM Attributes 2.2.0. So perhaps I
should also move up to ObjectWeb ASM 2.0 ?
Re: Springsource objectweb tree and attribute bundle versions [message #425809 is a reply to message #425797] Tue, 09 December 2008 08:39 Go to previous message
Eike Stepper is currently offline Eike StepperFriend
Messages: 6483
Registered: July 2009
Senior Member
JF,

Fortunately there's currently not so much traffic in the newsgroup,
otherwise I could have overlooked your question due to missing [CDO] prefix.
The question which ASM version is the best and which are possible looks
like a Hibernate question and should be answered by Martin (cc).

That said, it looks like they split ASM into several bundles. I changed
our setup script to use 2.2.0/2.2.3 versions and the installation now works.
In case you're using CDO with Hibernate, can you confirm that it works
at runtime, too?

Cheers
/Eike

----
http://thegordian.blogspot.com



JF schrieb:
> BTW, the ObjectWeb ASM Tree bundle has as its lowest rev 2.2.0
> depending on ObjectWeb ASM 2.0 as does ObjectWeb ASM Attributes 2.2.0.
> So perhaps I should also move up to ObjectWeb ASM 2.0 ?
>


Previous Topic:Dependency on org.eclipse.core.runtime in generated model plug-in
Next Topic:EMF Editors with files on EFS don't show local change history
Goto Forum:
  


Current Time: Wed Feb 26 11:47:42 GMT 2020

Powered by FUDForum. Page generated in 0.02640 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top